https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/commentReturns all comments for an issue. This operation can be accessed anonymously. **Permissions required:** Comments are included in the response where the user has: * *Browse projects* project permission for the project containing the comment. * If issue-level security is configured, issue-level security permission to view the issue. * If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
The ID or key of the issue.
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field. Accepts *created* to sort comments by their created date.
Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/commentReturns all comments for an issue. This operation can be accessed anonymously. **Permissions required:** Comments are included in the response where the user has: * *Browse projects* project permission for the project containing the comment. * If issue-level security is configured, issue-level security permission to view the issue. * If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
The ID or key of the issue.
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field. Accepts *created* to sort comments by their created date.
Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/comment' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}